Skip to main content
`Ctrl`+`K`

# PetscOptionsHasName

Determines whether a certain option is given in the database. This returns true whether the option is a number, string or Boolean, even if its value is set to false.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsHasName(PetscOptions options, const char pre[], const char name[], PetscBool *set)

Not Collective

## Input Parameters

- options - options database, use `NULL` for default global database

- pre - string to prepend to the name or `NULL`

- name - the option one is seeking

## Output Parameter

- set - `PETSC_TRUE` if found else `PETSC_FALSE`.

## Note

In many cases you probably want to use `PetscOptionsGetBool()` instead of calling this, to allowing toggling values.

## See Also

`PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

src/sys/objects/options.c

## Examples

src/mat/tutorials/ex16.c
src/ksp/ksp/tutorials/ex14f.F90
src/ksp/ksp/tutorials/ex15f.F90
src/ksp/ksp/tutorials/ex11f.F90
src/ksp/ksp/tutorials/ex5.c
src/ksp/ksp/tutorials/ex2f.F90
src/ksp/ksp/tutorials/ex57f.F90
src/ksp/ksp/tutorials/ex6f.F90
src/ksp/ksp/tutorials/ex76.c
src/ksp/ksp/tutorials/ex71.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages